export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/game-detail/index',
    'pages/room/create/index',
    'pages/room/join/index',
    'pages/room/waiting/index',
    'pages/room/play/index',
    'pages/profile/index',
    'pages/history/index'
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'LineJoy',
    navigationBarTextStyle: 'black'
  },
  tabBar: {
    color: '#999',
    selectedColor: '#3C92FB',
    backgroundColor: '#fff',
    borderStyle: 'black',
    custom: true,  // 使用自定义tabBar
    list: [
      {
        pagePath: 'pages/index/index',
        text: '游戏广场'
      },
      {
        pagePath: 'pages/room/join/index',
        text: '加入房间'
      },
      {
        pagePath: 'pages/history/index',
        text: '历史记录'
      },
      {
        pagePath: 'pages/profile/index',
        text: '我的'
      }
    ]
  },
  lazyCodeLoading: 'requiredComponents'
})